package thyyxxk.webserver.entity.dictionary.pathwayTemplates.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import thyyxxk.webserver.entity.dictionary.pathwayTemplates.dto.ClinicalPathwayOrder;


@EqualsAndHashCode(callSuper = true)
@Data
public class CreateOrderVo extends ClinicalPathwayOrder {
    private String supplyCodeName;
    private String miniUnitName;
    private String doseUnitName;
    private String execUnitName;

    /**
     * 执行方式 0- 每天执行 1- 必要时执行`
     */
    private Integer execType;


    public Integer getPathwayType() {
        return getType();
    }


    public String getTypeName() {
        Integer type = getType();
        if (type == null) {
            return "";
        }
        switch (type) {
            case 0:
                return "医嘱";
            case 1:
                return "检验";
            case 2:
                return "检查";
        }
        return "";
    }


}
